--No SQL Server Configuration Manager  necessrio configurar o SQL Service
--Habilita o acesso aos arquivos fisicos
EXEC sp_configure filestream_access_level, 2
GO
RECONFIGURE


CREATE DATABASE ArquivoFisico		--Cria o database de teste, um dos filegroups indica o FileStream
ON
PRIMARY ( NAME = AF1,
    FILENAME = 'c:\Data\AF1.mdf'),
FILEGROUP FileStreamGroup1 CONTAINS FILESTREAM( NAME = AF2,
    FILENAME = 'c:\data\AF2')
LOG ON  ( NAME = AFLog1,
    FILENAME = 'c:\Data\AF1.ldf')
GO

USE ArquivoFisico

CREATE TABLE ArquivoFisico.dbo.Curriculos		--Cria a tabela com a coluna em filestream
(
	Codigo		[uniqueidentifier]	ROWGUIDCOL		NOT NULL	UNIQUE, 
	Nome		VARCHAR(50)										UNIQUE,
	Curriculo	VARBINARY(MAX)		FILESTREAM		NULL
)
GO


INSERT INTO ArquivoFisico.dbo.Curriculos
    VALUES (newid (), 'Marcelo de Moraes Sincic',
      CAST ('Marcelo, Consultor e Instrutor' as varbinary(max)));
INSERT INTO ArquivoFisico.dbo.Curriculos
    VALUES (newid (), 'Felipe Ferreira', 
      CAST ('Fernando, Consultor e Instrutor' as varbinary(max)));
GO


--Lista os arquivos fisicos (no habilitado no Vista e Windows 7 por segurana na rede)
SELECT Curriculo.PathName() AS 'Arquivo' FROM Curriculos;

