USE SQLSHOWCASE

CREATE TABLE T1								--Tabela com compresso nas linhas
(c1 int, c2 nvarchar(50) )
WITH (DATA_COMPRESSION = ROW);
GO

CREATE TABLE T2								--Tabela com compresso na pgina completa
(c1 int, c2 nvarchar(50) )
WITH (DATA_COMPRESSION = PAGE);
GO

ALTER TABLE T1								--Tabela T1 alterada de compresso por linha para pgina
REBUILD WITH (DATA_COMPRESSION = PAGE);
GO

CREATE NONCLUSTERED INDEX IX_INDEX_1		--Indice comprimido por linha
    ON T1 (C2) 
WITH ( DATA_COMPRESSION = ROW ) ; 
GO

ALTER INDEX IX_INDEX_1						--Indice IX_INDEX_1 alterado para compresso por pgina
ON T1
REBUILD WITH ( DATA_COMPRESSION = PAGE ) ;

--Veririca o tamanho desejado para a compresso de dados
Exec sp_estimate_data_compression_savings 'dbo', 'Mapa', NULL, NULL, 'row'
Exec sp_estimate_data_compression_savings 'dbo', 'Mapa', NULL, NULL, 'page'


/* Tabela com 4 parties, a 1 e 3 por linha e 2 e 4 normais
 OBS: Este comando no ir executar, as parties no esto definidas no DB  */
CREATE TABLE Particionada					
(c1 int, c2 varchar(max))					
ON Divisao (c1) 
WITH 
(
  DATA_COMPRESSION = ROW  ON PARTITIONS (1,3),
  DATA_COMPRESSION = NONE ON PARTITIONS (2,4)
);
GO

