USE master;
GO

CREATE MASTER KEY									--Cria a chave criptografica baseada na senha informada
ENCRYPTION BY PASSWORD = 'SQLShowCase';
GO
 
CREATE CERTIFICATE CertLaboratorio					--Cria o certificado digital necessrio 
WITH SUBJECT = 'Certificado SQL Show Case'
GO
 
--Faz o backup fisico do certificado em disco para instalao em outros servidores, se necessrio
BACKUP CERTIFICATE CertLaboratorio 
 TO FILE = 'c:\CertLaboratorio.cer'
 WITH PRIVATE KEY ( FILE = 'c:\CertLaboratorio.pvk' , 
 ENCRYPTION BY PASSWORD = 'SQLShowCase');
 
USE SQLSHOWCASE
GO

CREATE DATABASE ENCRYPTION KEY						--Importa a chave criptografica criada anteriormente para o database
WITH ALGORITHM = AES_128
ENCRYPTION BY SERVER CERTIFICATE CertLaboratorio
GO
    
ALTER DATABASE SQLSHOWCASE							--Habilita a criptografia
SET ENCRYPTION ON
GO
 

SELECT * FROM sys.dm_database_encryption_keys		--Consultando as chaves de criptografia armazenadas na system dmv


--Limpa todos os databases utilizados nos exercicios
USE Master
DROP DATABASE SQLSHOWCASE
DROP DATABASE ARQUIVOFISICO
DROP CERTIFICATE CertLaboratorio
DROP MASTER KEY 
