﻿using System;
using System.Text;
using System.Data;
using System.Collections.Generic;
using System.Data.SqlClient;
using Microsoft.SqlServer.Types;

namespace Demo
{
    public static class PostcodeLogic
    {
        public static string connStr = @"Data Source=(local);Initial Catalog=SQLSHOWCASE;Integrated Security=True";

        public static List<Pushpin> GetPostcodesWithinBounds(string WKTBoundsEast, string WKTBoundsWest)
        {
            List<Pushpin> Locais = new List<Pushpin>();                                     //Cria o array de PINs para o Mapa

            using (SqlConnection sqlConn = new SqlConnection(connStr))
            {
                sqlConn.Open();
                using (SqlCommand cmd = new SqlCommand("SELECT * FROM MAPA", sqlConn))      //Carrega os dados da tabela
                {
                    cmd.CommandType = CommandType.Text;
                    SqlDataReader geomRdr = cmd.ExecuteReader();
                    while (geomRdr.Read())
                    {
                        SqlGeography loc = (SqlGeography)geomRdr["Localizacao"];            //Faz o cast da coluna localização
                        Locais.Add(new Pushpin
                        {
                            Latitude = (double)loc.Lat,                                     //Converte a latitude e longitude
                            Longitude = (double)loc.Long,
                            Title = (string)geomRdr["Titulo"],
                            Description = (string)geomRdr["Descricao"]
                        });
                    }
                    geomRdr.Close();
                }
                sqlConn.Close();
            }
            return Locais;
        }
    }
}
